Ruby: Data Fields - Enumerator

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - c -

- CATCH_TYPE_BREAK : iseq_catch_table_entry
- CATCH_TYPE_ENSURE : iseq_catch_table_entry
- CATCH_TYPE_NEXT : iseq_catch_table_entry
- CATCH_TYPE_REDO : iseq_catch_table_entry
- CATCH_TYPE_RESCUE : iseq_catch_table_entry
- CATCH_TYPE_RETRY : iseq_catch_table_entry

### - i -

- invalid : enc_synmane_type_leading_chars_tag
- ISEQ_ELEMENT_ADJUST : iseq_link_element
- ISEQ_ELEMENT_ANCHOR : iseq_link_element
- ISEQ_ELEMENT_INSN : iseq_link_element
- ISEQ_ELEMENT_LABEL : iseq_link_element
- ISEQ_ELEMENT_TRACE : iseq_link_element
- ISEQ_TYPE_BLOCK : rb_iseq_constant_body
- ISEQ_TYPE_CLASS : rb_iseq_constant_body
- ISEQ_TYPE_ENSURE : rb_iseq_constant_body
- ISEQ_TYPE_EVAL : rb_iseq_constant_body
- ISEQ_TYPE_MAIN : rb_iseq_constant_body
- ISEQ_TYPE_METHOD : rb_iseq_constant_body
- ISEQ_TYPE_PLAIN : rb_iseq_constant_body
- ISEQ_TYPE_RESCUE : rb_iseq_constant_body
- ISEQ_TYPE_TOP : rb_iseq_constant_body

### - l -

- LOCATION_TYPE_CFUNC : rb_backtrace_location_struct
- LOCATION_TYPE_ISEQ : rb_backtrace_location_struct
- LOCATION_TYPE_ISEQ_CALCED : rb_backtrace_location_struct

### - n -

- needmore : enc_synmane_type_leading_chars_tag

### - r -

- ractor_blocking : rb_ractor_struct
- ractor_created : rb_ractor_struct
- ractor_running : rb_ractor_struct
- ractor_terminated : rb_ractor_struct

### - s -

- stophere : enc_synmane_type_leading_chars_tag

### - t -

- thread_invoke_type_func : rb_thread_struct
- thread_invoke_type_none : rb_thread_struct
- thread_invoke_type_proc : rb_thread_struct
- thread_invoke_type_ractor_proc : rb_thread_struct

### - v -

- value : ruby::rbimpl_alignof< T >

### - w -

- wait_moving : rb_ractor_sync::ractor_wait
- wait_none : rb_ractor_sync::ractor_wait
- wait_receiving : rb_ractor_sync::ractor_wait
- wait_taking : rb_ractor_sync::ractor_wait
- wait_yielding : rb_ractor_sync::ractor_wait
- wakeup_by_close : rb_ractor_sync::ractor_wait
- wakeup_by_interrupt : rb_ractor_sync::ractor_wait
- wakeup_by_retry : rb_ractor_sync::ractor_wait
- wakeup_by_send : rb_ractor_sync::ractor_wait
- wakeup_by_take : rb_ractor_sync::ractor_wait
- wakeup_by_yield : rb_ractor_sync::ractor_wait
- wakeup_none : rb_ractor_sync::ractor_wait